For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Custom Variables
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a simulation case
      • GETList simulation cases
      • GETGet a simulation case
      • PUTUpdate a simulation case
      • DELDelete a simulation case
      • POSTGenerate test cases
      • GETList simulation cases by agent
      • POSTCreate a simulation suite
      • GETList simulation suites
      • GETGet a simulation suite
      • PUTUpdate a simulation suite
      • DELDelete a simulation suite
      • POSTExecute a simulation suite
      • POSTCreate a simulation scenario
      • GETList simulation scenarios
      • GETGet a simulation scenario
      • PUTUpdate a simulation scenario
      • DELDelete a simulation scenario
      • POSTStart a simulation
      • GETList simulation sessions
      • GETGet a simulation session
      • GETList simulations
      • GETGet a simulation
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APISimulations

List simulation cases by agent

||View as Markdown|
GET
/simulation_cases/by_agent
GET
/v2/simulation_cases/by_agent
$curl -G https://api.synthflow.ai/v2/simulation_cases/by_agent \
> -H "Authorization: Bearer <token>" \
> -d agent_id=agent_id
1{
2 "status": "ok",
3 "response": [
4 {
5 "simulation_case_id": "string",
6 "workspace_id": "string",
7 "suite_id": "string",
8 "name": "string",
9 "prompt": "string",
10 "type": "custom",
11 "success_criteria": [
12 "string"
13 ],
14 "call_success_type": "all",
15 "base_agent": {
16 "model_id": "string",
17 "agent_name": "string",
18 "agent_type": "string",
19 "voice_engine_type": "string",
20 "phone_number": "string",
21 "updated_at": "2024-01-15T09:30:00Z",
22 "image_url": "string"
23 },
24 "created_at": "2024-01-15T09:30:00Z",
25 "updated_at": "2024-01-15T09:30:00Z"
26 }
27 ]
28}
List all simulation cases created for a specific agent.
Was this page helpful?
Previous

Create a simulation suite

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

agent_idstringRequired
Agent ID whose cases to list.

Response

200
statusstring
Whether the request was successful.
responselist of objects

Errors

400
Bad Request Error